SDL_GetGamepadStringForType(3)

NAME
SDL_GetGamepadStringForType - Convert from an SDL_GamepadType
 enum to a string.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetGamepadStringForType(SDL_GamepadType type);

FUNCTION PARAMETERS

type
    an enum value for a given SDL_GamepadType .

RETURN VALUE
Returns a string for the given type, or NULL if an invalid type is specified. The string returned is of the format used by

SDL_Gamepad
 mapping strings.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadTypeFromString(3)